<?php
/**
* Posts navigation functions
*
* @package HotWP WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

if ( ! function_exists( 'hotwp_wp_pagenavi' ) ) :
function hotwp_wp_pagenavi() {
    ?>
    <nav class="navigation posts-navigation hotwp-clearfix" role="navigation">
        <?php wp_pagenavi(); ?>
    </nav><!-- .navigation -->
    <?php
}
endif;

if ( ! function_exists( 'hotwp_posts_navigation' ) ) :
function hotwp_posts_navigation() {
    if ( function_exists( 'wp_pagenavi' ) ) {
        hotwp_wp_pagenavi();
    } else {
        the_posts_navigation(array('prev_text' => esc_html__( 'Older posts &rarr;', 'hotwp' ), 'next_text' => esc_html__( '&larr; Newer posts', 'hotwp' )));
    }
}
endif;